Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Employee
37 Views

Installation of Beta 3 of OneAPI kit breaks OpenCL

Just installed Beta 3 of OneAPI on my Ubuntu 18.04 system. Now, even running clinfo produces the following:

Abort was called at 99 line in file:
../neo/runtime/built_ins/built_ins.cpp
Aborted (core dumped)

When attempting to run SYCL or OpenCL executable, I get the error above.

Beta2 worked fine on my machine.

 

Tags (1)
0 Kudos
4 Replies
Highlighted
Employee
37 Views

Hi Robert,

Thanks for reaching out to us.

We are working on this issue and will get back to you.

 

Kaleem

0 Kudos
Highlighted
Employee
37 Views

Hi Robert,

Can you please uninstall all previous version of OneAPI toolkit and Reinstall fresh beta-3 version? 

Let us know if it resolves your Issue. 

 

Kaleem

0 Kudos
Highlighted
Employee
37 Views

I think I found the problem: once I moved /etc/OpenCL/vendors/intel.icd to backup (it was pointing to /usr/local/lib/intel-opencl/libigdrcl.so), things started to work.

I guess the installer needs to back that file out of the way.

Robert

0 Kudos
Highlighted
Employee
37 Views

Hi Robert,

We are closing this thread as the issue got resolved. Feel free to raise a new thread in case of any further issues

 

Kaleem

 

0 Kudos